<template>
    <v-list dense>
        <template v-for="item in items">
            <v-layout
                    row
                    v-if="item.heading"
                    align-center
                    :key="item.heading"
            >
                <v-flex xs6>
                    <v-subheader v-if="item.heading">
                        {{ item.heading }}
                    </v-subheader>
                </v-flex>
            </v-layout>
            <v-list-group
                    v-else-if="item.children"
                    v-model="item.model"
                    :key="item.title"
                    :prepend-icon="icon(item)"
                    append-icon="keyboard_arrow_down"
            >
                <v-list-tile slot="activator">
                    <v-list-tile-content>
                        <v-list-tile-title>
                            {{ item.title }}
                        </v-list-tile-title>
                    </v-list-tile-content>
                </v-list-tile>
                <v-list-tile
                        v-for="(child, i) in item.children"
                        :key="i"
                        :href="child.url"
                >
                    <v-list-tile-action>
                        <v-icon v-if="child.icon">{{ child.icon }}</v-icon>
                    </v-list-tile-action>
                    <v-list-tile-content>
                        <v-list-tile-title>
                            {{ child.title }}
                        </v-list-tile-title>
                    </v-list-tile-content>
                </v-list-tile>
            </v-list-group>
            <v-list-tile v-else :key="item.title" :href="item.url">
                <v-list-tile-action>
                    <v-icon>{{ icon(item) }}</v-icon>
                </v-list-tile-action>
                <v-list-tile-content>
                    <v-list-tile-title>
                        {{ item.title }}
                    </v-list-tile-title>
                </v-list-tile-content>
            </v-list-tile>
        </template>
    </v-list>
</template>

<script>

    export default {
        data: () => ({
            items: []
        }),

        created() {
            axios.get('menu.json').then((response) => {
                this.items = response.data;
            });
        },

        methods: {
            icon(item) {
                return item.icon || 'blur_on';
            }
        }
    }
</script>